| IOFormat Python 1.8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
ioformat.ioformat.StackWriter Class Reference
Inheritance diagram for ioformat.ioformat.StackWriter:

## Public Member Functions
| __init__ (self, *args, **kwargs)

## Static Public Member Functions
| write_from_pattern (*args)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    A factory to save stacks of images.

## Member Function Documentation

## ◆ write_from_pattern()

ioformat.ioformat.StackWriter.write_from_pattern | ( | * | args | ) |
| static

        *Overload 1:*

        Write a list of images to many files using a pattern to generate indexed filenames.

        Each frame of the input MultiImageView will be written as a separate file.

        :type multi: :py:class:`MultiImageView`
        :param multi: The list of images to write as separated files.
        :type outputFilePathPattern: string
        :param outputFilePathPattern: The pattern for the output file path. The pattern must contain one group of
            consecutive '%' characters, which will be replaced by the image index.

        The count of '%' characters sets the minimum count of digits for printing the image index, but the printed index
        may include additional digits.

        e.g.
             * `outputFilePattern = "output%%%%.png"` will create files named `output0000.png, output0001.png,
        ...,outut0010.png, outut0011.png`,etc.
             * `outputFilePattern = "output%%.png"` will create files named `output00.png, output01.png, ...,
        output10.png, ..., output100.png, output101.png`, etc.
             * `outputFilePattern = "output%.png"` will create files named `output0.png, output1.png, ..., output10.png,
        output11.png`, etc.

        :raises: InvalidArgument If the output file pattern is invalid.
        :raises: Error If an error occurs while writing the images.

        |

        *Overload 2:*

        Write a stack of images to many files using a pattern to generate indexed filenames.

        N-dimension image will be written as many N-1-dimension images.
        Last dimension (N) is used as the stack dimension.

        e.g. a 3D image of size (10, 20, 30) will be written as 30 images of size (10, 20).

        :type stack: :py:class:`ImageView`
        :param stack: The stack of images to write as separated files.
        :type outputFilePathPattern: string
        :param outputFilePathPattern: The pattern for the output file path. The pattern must contain one group of
            consecutive '%' characters, which will be replaced by the image index.

        The count of '%' characters sets the minimum count of digits for printing the image index, but the printed index
        may include additional digits.

        e.g.
             * `outputFilePattern = "output%%%%.png"` will create files named `output0000.png, output0001.png,
        ...,outut0010.png, outut0011.png`,etc.
             * `outputFilePattern = "output%%.png"` will create files named `output00.png, output01.png, ...,
        output10.png, ..., output100.png, output101.png`, etc.
             * `outputFilePattern = "output%.png"` will create files named `output0.png, output1.png, ..., output10.png,
        output11.png`, etc.

        :raises: InvalidArgument If the output file pattern is invalid.
        :raises: UnsupportedOperation If the input image cannot be written as a stack.
        :raises: Error If an error occurs while writing the images.

The documentation for this class was generated from the following file:

- Release/python/ioformat/ioformat.py